<?php


class MailalertCustomerOos extends ObjectModel
{
	public $id_mailalert_customer_oos;
	public $id_customer;
	public $customer_email;
	public $id_product;
	public $id_product_attribute;
	public $id_shop;
	

	/**
	 * @see ObjectModel::$definition
	 */
	public static $definition = array(
		'table' => 'mailalert_customer_oos',
		'primary' => 'id_mailalert_customer_oos',
		'fields' => array(
			'id_customer' => 			array('type' => self::TYPE_INT, 'validate' => 'isUnsignedId'),
			'customer_email' => 		array('type' => self::TYPE_STRING, 'validate' => 'isEmail', 'required' => true, 'size' => 128),
			'id_product' => 			array('type' => self::TYPE_INT, 'validate' => 'isUnsignedId'),
			'id_product_attribute' => 	array('type' => self::TYPE_INT, 'validate' => 'isUnsignedId'),
			'id_shop' => 				array('type' => self::TYPE_INT, 'validate' => 'isUnsignedId'),
		),
	);	
	
}
?>